export namespace messages {
  export namespace types {
    export const NOTE_ON = 0b10010000
    export const NOTE_OFF = 0b10000000
    export const CONTINUOUS_CONTROL = 0b10110000
  }

  export namespace params {
    export namespace continuousControl {
      export const sustain = 64
      export const sostenuto = 66
      export const unaCorda = 67
    }
  }

  export const TYPE_BITMASK = 0b11110000

  export const CHANNEL_BITMASK = 0b00001111

  export const CHANNEL_INDEX_PERCUSSION = 9
}
