export const getNaturalKeys = (range: string): number => {
  const [startKeyRaw, endKeyRaw] = range.split('|')
  const startKey = Number(startKeyRaw)
  const endKey = Number(endKeyRaw)
  let naturalKeys = 0
  for (let i = startKey; i <= endKey; i += 1) {
    switch (i % 12) {
      case 0:
      case 2:
      case 4:
      case 5:
      case 7:
      case 9:
      case 11:
        naturalKeys += 1
        break
      default:
        break
    }
  }
  return naturalKeys
}
